FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Java

 
 
LinkBack Thread Tools
 
Old 12-07-2011, 08:31 AM
James Page
 
Default RFS: jenkins 1.409.3-1 (new)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 07/12/11 09:28, James Page wrote:
> Hi Team
>
> I am looking for a sponsor for my new package "jenkins".
>
> * Package name : jenkins Version : 1.409.3-1 * URL
> : http://jenkins-ci.org/ * License : MIT Section :
> java
>
> The upload would fix this bug: http://bugs.debian.org/561963
>
> I have uploaded to git.debian.org: -
> ssh://git.debian.org/git/pkg-java/jenkins.git -
> http://git.debian.org/?p=pkg-java/jenkins.git
>
> It would be great if someone could review and upload this package
> for me.
>
> Thanks
>
> James
>

Yet again I forgot to ask if the DMUA field could be populated as well
- - must remember I am a Debian Maintainer now!

Cheers

James

- --
James Page
Software Engineer, Ubuntu Server Team
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJO3zJjAAoJEL/srsug59jDekYQAKPLwtD/qEzvdIjGs7iemA5k
YnGTPS3fv3c6N8re2xca527+V3n8KeBkp7WKO07uGkjV7btmg1 Tv2JgEKs4napcY
8GQQKazam++ru+BDtwEZZFtbn3SRk79XWKgvZ3JvEEWedK8IGu LBNXiLNkNpJZYk
X39WB9JdW7Iqkt1+6YTOcw//wzVy+/IVbbx62UiXDwH+1OLnmsrhtghNYsS5JWTa
XLVLUjpzg0BSd92e2PPPNozk/luOLYVUyYJ5FUgqVf5lUCdSXCiC/NUlK8ZyWw30
bGN356F4BuWMsd0sgoGYRzvSQ9jpxMD2RiQYHI/cq33xxgwBjiWt/tyNdEQCCF42
l1TwZ3EuoZPWF4RudLAvjPYC4SafSDN8iwMSkVjBNbpxk7x7qo yI6X+DUSi0fkJ6
utsd3iemDEs6aHfkHpP9UR+Pcn/DU/WyPr1n2qfpw6Y+PZ3Ekbn8s7yEle1J0Lw1
zBrILD+KVFjzbaLkDLeGkgC3TNUQl+cN9BcddMwFTsnXgSt2zm fpTB4AfjTMjUr9
bHrrzTSbow5SWjvJ2LWrhmWxy2RkJHemImYTY/b4mXOlfXq5CXOCi4RFKJvHicLU
vdEWjLrxLMlTgK92kMxL+QbXvliqlhVjmY0ajV3Q9hBMmILNmP 8CofE2QO9kFqsb
2KmDS4xplszOTvv/Ijyg
=keJz
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4EDF3263.5080208@canonical.com">http://lists.debian.org/4EDF3263.5080208@canonical.com
 
Old 12-07-2011, 06:54 PM
"Damien Raude-Morvan"
 
Default RFS: jenkins 1.409.3-1 (new)

Le mercredi 07 décembre 2011 10:28:31, James Page a écrit :
> Hi Team

Hi James!

> The upload would fix this bug: http://bugs.debian.org/561963

Don't you need libmaven-hpi-plugin-java upload first ?
It seems to be used into debian/maven.rules but there is no Build-Depends on
this one.

Cheers,
--
Damien - Debian Developper
http://wiki.debian.org/DamienRaudeMorvan
 
Old 12-07-2011, 09:14 PM
James Page
 
Default RFS: jenkins 1.409.3-1 (new)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi Damien

On 07/12/11 19:54, Damien Raude-Morvan wrote:
>>> The upload would fix this bug: http://bugs.debian.org/561963
> Don't you need libmaven-hpi-plugin-java upload first ? It seems to
> be used into debian/maven.rules but there is no Build-Depends on
> this one.

maven-hpi-plugin is not currently buildable with the versions of
maven-stapler-plugin and stapler that are present in Debian and
Ubuntu; upstream are mid-transition from apt based annotation
processing to JSR-269.

This plugin is not required to actually build jenkins as its stands
today; It forms part of the dependency chain for the
jenkins-plugin-parent POM which would be used for building plugins
from source - which is why its present in maven.rules.

I have commented this out of the control file for the time being
whilst I work with upstream to get this resolved.

That said once Maven 3 lands in Debian I should be able to re-enable
the maven-plugin build in Jenkins core at which point in time it will
become a build dependency again!

Hope that explains why its not a dependency ATM.

Cheers

James

- --
James Page
Ubuntu Core Developer
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJO3+ViAAoJEL/srsug59jDHrcQAJBc5AoT9dVVPpizjxJV6+/M
xX6KFYFIgwNVgypnMZUYAn8YYcBRBp8evESSBS37za/PSLdi9L9lwUtGdIkPoH8T
0sf3wY2nCBO55/k2yznemLpNdKQ5T+k8OYso8nyeVoYFMuujryn5uGQnMGyahjxz
BlnbkZol9iaZRWzi0bsx+OXmfazBC55BCfZHWp507ZROu8gTlt wdpCy6MpfxP1bd
yo6FA56lMZ+ay/XWRY8BBR//WCWow3Y1W7CnRGDx75J17nt4Bwt3BzqjYnXWj2p+
Ej46nMLdWbuSCnUBoANpKuXBKJW+I4re6iKkHJ9CUd9hIkcwDg ckhK4zpnR9YP8V
A5gGAn7HZSIrMyqYhFAueRPqgSMDfkDvljB/teeRHo0fnrUbcYi6EJRxWTVtIr51
idJ+kb4G+Pcw6coOxuEetRvGk+bSgWVRuFHHcIV1+LUo1T207H IvnYXxGj3Y5/Gy
8CSIgFPDoMXkklcgfuUQa6La03fc/TD3g8SEQfUccSo2JERtA8EzVzgjQERzcZ70
PiaJVCFOIKIrQsI8s7rmcuyPNB63vDuwOlWGPT1HxG/W+WXBfEGX0elCUkio1gA9
cqzK1yMd4DW3IYkK6ua2hEmoJEO2ZO+g0E7T74ngM6sy7s1kHl jSzResAA7NUhxY
SNLUaBlf9pB7VydNnEIQ
=oPMq
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4EDFE562.3080500@ubuntu.com">http://lists.debian.org/4EDFE562.3080500@ubuntu.com
 
Old 12-07-2011, 09:21 PM
James Page
 
Default RFS: jenkins 1.409.3-1 (new)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 07/12/11 22:14, James Page wrote:
> maven-hpi-plugin is not currently buildable with the versions of
> maven-stapler-plugin and stapler that are present in Debian and
> Ubuntu; upstream are mid-transition from apt based annotation
> processing to JSR-269.

BTW this is essential for moving to Java 7 where the apt API disappears!

- --
James Page
Software Engineer, Ubuntu Server Team
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJO3+b/AAoJEL/srsug59jDjZsP/2KRPAlxKvgONr9P2oOnxhSf
ZqbTiWj4N368OMEO7r5e2vUcLWBiObRxzRUmUHLoRa7dtDJGVJ Y2rggAZMXpdZzg
53CmhGdNk+5jotj0jEMoPGhToQ5NBd85WhQhoUEbxQ0ykP0lfH hzZl5yxYsOGtwD
pgFHpS2DwRU9D5I3d8zCIaa0znFQ7MxvzKFQ1uZWNXIKnv7nBO LemBUZrQUCVhQo
bfas4uFt16mXxdGgvM2lAN1hgW5mOu/uZxkw0WYQsmlI85eJkl3NHuQKLXSmKC50
FnYMR4NebcT9B/QI4QVa9ELHZnlxXNNg68r4ZnYzG6hEFqiHFmz7cEZ0Sc0g5lq3
+SsndFPiP7i2SS6/58Rk9oGv5XpHy/o82ZdMS98+Z0QG6dWyWN/xgqBqKPfwo8yF
jlF6YeAI+S9YXijJkxvzi4Q07Izxnj8iqn2mrOixfqh5e9vET0 H0U3moqDLEwDHH
4Xkg8wuMt3A/EdIIinNLY4OgSKc6mO7uWtfpj36bPiYFFB00c8IOW9RnBH55SP Pd
A5WHr6GdNoXlk5AYe3AlXRIQpt/t6IlHu0AdK4WXKxe8eC4QOtMh9TefgxpzwVuB
HjDTuZxZkS3r7tKKQe3rINdkxv8n2qk6TFoXTdAziIWdcrhShZ a4oMddo2rbQX+4
gTY2spzCPaApNDXO2gZA
=p1uR
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4EDFE6FF.3090004@canonical.com">http://lists.debian.org/4EDFE6FF.3090004@canonical.com
 
Old 12-10-2011, 10:03 PM
 
Default RFS: jenkins 1.409.3-1 (new)

Hi Team

I am looking for a sponsor for my new package "jenkins".

* Package name : jenkins
Version : 1.409.3-1
* URL : http://jenkins-ci.org/
* License : MIT
Section : java

The upload would fix this bug: http://bugs.debian.org/561963

This revise package now includes init scripts and /etc/default configuration
for Debian installations.

I have uploaded to git.debian.org:
- ssh://git.debian.org/git/pkg-java/jenkins.git
- http://git.debian.org/?p=pkg-java/jenkins.git

It would be great if someone could review and upload this package for me.

Thanks

James

--
James Page
Ubuntu Core Developer


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20111210230314.11809422BB@hendrix.shouse.local">ht tp://lists.debian.org/20111210230314.11809422BB@hendrix.shouse.local
 

Thread Tools




All times are GMT. The time now is 08:28 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org